matrix

Note: After publishing, you may have to bypass your browser's cache to see the changes.

/** CSS placed here will be applied to both light and dark themes **/
body {
	background: linear-gradient(to bottom,transparent 40px,rgba(var(--theme-body-background-color--rgb),0.6) 160px,var(--theme-body-background-color)) !important;
	height: auto;
}
/** TOC **/
.toctitle {
  min-width: 300px !important;
}
.mwtocright .toc {
  margin: 0 !important;
}
.mwtocright .toctitle {
  min-width: unset !important;
}
.mwfloatright .toc {
  margin: 0 !important;
  width: inherit;
}
.mwfloatright .toctitle {
  min-width: unset !important;
}
.toclevel-1 {
  font-weight: lighter;
  font-size: smaller;
}
.toclevel-1 > a {
  font-weight: normal;
  font-size: initial;
}
b {
  font-size: 100%; /* unsure why this wiki's bold letters are small so resizing them */
}
.hidable-button {
  color: var(--theme-link-color);
  cursor: pointer;
}
.hidable-button:hover {
  color: var(--theme-link-color--hover);
}
table.mw-navbox th {
  background: var(--theme-page-background-color--secondary);
}

#about-achievements .bronze span, #about-achievements .silver span, #about-achievements .gold span {color: #303030;} /* Fixing text colour for Achievement badges */

/* making the SciFi Movies Footer Matrix-y */
#scifimoviesfooter > div > div {
  border: 2px outset #0F0 !important;
  box-shadow: 0 0 5px #0F0, 0 0 5px #000 !important;
}

/* legacy css */
.closedpoll > div > form > input {visibility: hidden;} /* making custom closed poll for poll archive: hiding vote button */
.closedpoll > div > form > div > div > div > label > input {visibility: hidden;} /* making custom closed poll for poll archive: hiding radio option buttons */

/* indicator styling */
.mw-indicators {
  display: table !important;
  background-color: rgba(var(--theme-page-background-color--rgb), 0.5);
}
.mw-indicator {
  display: table-cell !important;
  width: auto;
}
.mw-indicator table {
  height: 100%;
}
.mw-indicator table td {
  vertical-align: top;
}
.mw-indicator__message {
  font-size: small;
}
.page-header__meta + .page-header__languages {
  position: absolute;
  top: 0;
}

/* Defaults the main page title images to a black background for any light theme users to still see the images */
td.mainpage-box-title {
  background-image: radial-gradient(#00B100, #000000, #000000);
  border-radius: 9px 9px 0 0;
}
/* Adds a dark green vignette to increase contract between the white and bright green */
td.mainpage-box-title img {
  background-image: linear-gradient(90deg, transparent, #000000, transparent);
}
/* If text is used, applies "Matrix" effect to text */
td.mainpage-box-title p {
  color: #FFFFFF;
  text-align: center;
  letter-spacing: 0.5em;
  text-shadow: 0 0 3px var(--theme-link-dynamic-color-1), 0px 0px 15px #00ff00, 0px 0px 9px #56b000, 0px 0px 15px #006400, 0px 0px 5px #006400;
  margin: 12px 0 12px 0;
}
/* If link is used in main page titles, applies color to match black bg. */
td.mainpage-box-title a {
  color: #FFF;
  text-decoration: underline;
}
td.mainpage-box-title a:hover {
  color: #3dfe10;
}
/* main page logo text and links, if any*/
#mainpage_site_logo {
  font-family: Courier New, serif;
  padding: 1em 0 1em 2em;
  letter-spacing: 2em;
  line-height: 1;
  text-shadow: 0 1px 1px var(--theme-link-color), 0 -1px 1px var(--theme-link-color), 1px 0 1px var(--theme-link-color), -1px 0 1px var(--theme-link-color), 0px 0px 15px #00ff00, 0px 0px 9px #56b000, 0px 0px 15px #006400, 0px 0px 5px #006400;
}
#mainpage_site_logo a {
  color: var(--theme-page-dynamic-color-1);
}
#mainpage_site_logo a:hover {
  text-decoration: none;
}
/* wordmark styles */
#mainpage_site_logo {
  display: inline-block;
}
/* auto adjust margins according to flex for mainpage films gallery */
.mainpage-films .wikia-gallery-spacing-small .wikia-gallery-item {
    padding: 5px 0px;
}
/* default for smaller screen sizes */
@media screen and (max-width:950px) {
  #mainpage_lcl {
    width: 100%;
  }
  #mainpage_rcl {
    width: 100%;
  }
  blockquote.pull-quote {
    clear:left;
  }
}
/** flex main page for extra large screens */
@media screen and (min-width:3840px) {
  #mainpage_lcl {
    float: left;
    width: calc(100% - 650px);
  }
  #mainpage_rcl {
    float: left;
    width: 600px;
    margin-left: 20px;
  }
}
/** flex main page columns for larger screens */
@media screen and (min-width:950px) {
  #mainpage_lcl {
    float: left;
    width: calc(65% - 20px);
    max-width: calc(100% - 370px);
  }
  #mainpage_rcl {
    float: left;
    width: 35%;
    min-width: 350px;
    margin-left: 20px;
  }
  .tright {
    clear: unset !important;
  }
  .floatright {
    clear: unset !important;
  }
}
/** limit expansion */
body.is-content-expanded .resizable-container {
  max-width: 2100px;
}
/** quote styling for both themes **/
.pull-quote::before {
  font-family: helvetica;
  color: rgba(var(--theme-link-color--rgb), .5); /* blends with any background */
  margin-top: 40px;
  content: "“";
  text-align: left;
}
.pull-quote__box p {
  line-height: 1.75;
}
.pull-quote__source {
  font-size: smaller;
  font-style: normal;
  font-family: OCR A,monospace;
  line-height: 2;
}
.quote__qmarks.quote__hideqmarks {
  display: none;
}
.pull-quote__text {
  font-family: Courier New, monospace;
}
blockquote.pull-quote {
  padding-bottom: 1em;
  border-radius: 8px;
}
/* Fix to reduce quote margins when placed in right column in main page */
#mainpage_rcl blockquote.pull-quote {
  margin: 0px;
}
/** discussion theme **/
.app-wrapper {
  background: linear-gradient(to bottom, transparent 40px, rgba(var(--theme-body-background-color--rgb),0.6) 160px, var(--theme-body-background-color)), var(--theme-body-background-image) repeat;
}
.portable-infobox {
	width: 300px;
}
.portable-infobox .pi-image-thumbnail {
  width: 100%;
}
.portable-infobox ul {
  margin: 0 0 0 8px;
}
.portable-infobox li li {
  list-style-type: circle;
}
/** place only light-themed styles here **/
/* Adds a dark green vignette to increase contract between the white and bright green */
.theme-fandomdesktop-light td.mainpage-box-title img {
  background-image: linear-gradient(90deg, transparent, var(--theme-sticky-nav-background-color), transparent);
}
/* convenience class to keep background black even on light theme */
.theme-fandomdesktop-light .bg-dark-themed {
  background-color: var(--theme-sticky-nav-background-color);
  color: white;
}
/* convenience class to keep background white on light theme */
.theme-fandomdesktop-light .theme-light-light {
  background-color: rgba(var(--theme-page-background-color--rgb),0.9);
}
/* tile background image and reduce opacity to increase theme contrast */
.theme-fandomdesktop-light .main-container {
  background: linear-gradient(to bottom, transparent 40px, rgba(var(--theme-body-background-color--rgb),0.6) 160px, var(--theme-body-background-color)), var(--theme-body-background-image) repeat; /* respects default gradient for header */
}
/* Defaults the main page title images to a dark background for any light theme users to still see the images */
.theme-fandomdesktop-light td.mainpage-box-title {
  background-image: radial-gradient(#00B100, var(--theme-sticky-nav-background-color), var(--theme-sticky-nav-background-color));
  border-radius: 9px 9px 0 0;
}
/* slightly visible background */
.theme-fandomdesktop-light .page__main {
  background-color: rgba(var(--theme-page-background-color--rgb), 0.9);
}
/* Sets a lighter green than the default for the FA template */
.theme-fandomdesktop-light table.matrix-featured-article {
  background: radial-gradient(ellipse at top, #002000, #007800);
}
/* Quote box */
.theme-fandomdesktop-light blockquote.pull-quote table {
  background-color: rgba(var(--theme-accent-color--rgb), 0.1);
}
.theme-fandomdesktop-light .pull-quote__source {
  font-weight: bold;
}

/** place only dark-themed styles here **/
/* Adds a dark green vignette to increase contract between the white and bright green */
.theme-fandomdesktop-dark td.mainpage-box-title img {
  background-image: linear-gradient(90deg, transparent, #000000, transparent);
}
/* tile background image and reduce opacity to increase theme contrast */
.theme-fandomdesktop-dark .main-container {
  background: linear-gradient(to bottom, transparent 40px, var(--theme-body-background-color) 160px, rgba(var(--theme-body-background-color--rgb),0.7) 170px, var(--theme-body-background-color)), var(--theme-body-background-image) repeat; /* respects default gradient for header */
}
/* Defaults the main page title images to a black background for any light theme users to still see the images */
.theme-fandomdesktop-dark td.mainpage-box-title {
  background-image: radial-gradient(#00B100, transparent, transparent); /* titles copy light theme glow but keeps already dark background */
  border-radius: 9px 9px 0 0;
}
/* Matrix glow for quote template only visible for the dark theme */
.theme-fandomdesktop-dark td.mainpage-box-title img {
  background-image: linear-gradient(90deg, transparent, #000000, transparent);
}
.theme-fandomdesktop-dark .pull-quote {
  font-style: normal;
}
.theme-fandomdesktop-dark .pull-quote__text,
.theme-fandomdesktop-dark .pull-quote__source {
  text-shadow: 0 0 3px var(--theme-link-dynamic-color-1), 0px 0px 15px #00ff00, 0px 0px 9px #56b000, 0px 0px 15px #006400, 0px 0px 5px #006400;
  color:#FFFFFF;
}
.theme-fandomdesktop-dark blockquote.pull-quote table {
  background-color: rgba(0,0,0,0.7);
}
.theme-fandomdesktop-dark .pull-quote {
    background-color: rgba(var(--theme-body-background-color--rgb), .5);
}
/* Auto-resize */
.fluid img, .fluid video {
    height: auto;
    max-width: 96%;
}
/* Discordintegrator */
.mw-discordintegrator p {
    margin-bottom: 0px;
}
/* DiscordWidget */
.discord-widget .widget-header {
    background-image: radial-gradient(#00B100,var(--theme-sticky-nav-background-color));
}